# $Revision: 1.19 $, $Date: 2009/08/10 07:46:27 $
%define	snap	20090810
Summary:	X.org video driver for NVIDIA graphics chipsets
Summary(pl.UTF-8):	Sterownik obrazu X.org dla układów graficznych NVIDIA
Name:		xorg-driver-video-nouveau
Version:	0.0.10
Release:	0.%{snap}.1
License:	MIT
Group:		X11/Applications
# git clone --depth 1 git://git.freedesktop.org/git/nouveau/xf86-video-nouveau
# cd xf86-video-nouveau
# git archive master --prefix xf86-video-nouveau/ | bzip2 > xf86-video-nouveau-$(date +%Y%m%d).tar.bz2
Source0:	xf86-video-nouveau-%{snap}.tar.bz2
# Source0-md5:	5c28595671fb4282e5ce38cd6a96b302
URL:		http://nouveau.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libdrm-devel >= 2.4.12-3
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libXvMC-devel
BuildRequires:	xorg-lib-libpciaccess-devel
BuildRequires:	xorg-proto-dri2proto-devel
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-glproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.3.0.0
%requires_xorg_xserver_videodrv
Requires:	libdrm >= 2.4.12
Requires:	xorg-xserver-libdri >= 1.3.0.0
Requires:	xorg-xserver-libglx >= 1.3.0.0
Requires:	xorg-xserver-server >= 1.3.0.0
# nouveau drm
Suggests:	kernel-gpu-drm-experimental
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for NVIDIA video adapters. It supports PCI,
PCI-Express and AGP video cards based on the following chips: RIVA 128
(NV3), RIVA TNT (NV4), RIVA TNT2 (NV5), GeForce 256, QUADRO (NV10),
GeForce2, QUADRO2 (NV11, NV15), GeForce3, QUADRO DCC (NV20), nForce,
nForce2 (NV1A, NV1F), GeForce4, QUADRO4 (NV17, NV18, NV25, NV28),
GeForce FX, QUADRO FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51), GeForce 7xxx (G70,
G71, G72, G73).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych NVIDIA. Obsługuje karty
PCI, PCI-Express i AGP oparte na następujących układach: RIVA 128
(NV3), RIVA TNT (NV4), RIVA TNT2 (NV5), GeForce 256, QUADRO (NV10),
GeForce2, QUADRO2 (NV11, NV15), GeForce3, QUADRO DCC (NV20), nForce,
nForce2 (NV1A, NV1F), GeForce4, QUADRO4 (NV17, NV18, NV25, NV28),
GeForce FX, QUADRO FX (NV30, NV31, NV34, NV35, NV36, NV37, NV38),
GeForce 6xxx (NV40, NV41, NV43, NV44, NV45, C51), GeForce 7xxx (G70,
G71, G72, G73).

%prep
%setup -q -n xf86-video-nouveau

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.NV1
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/*.so
%{_mandir}/man4/nouveau.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-nouveau.spec,v $
Revision 1.19  2009/08/10 07:46:27  patrys
- current snap

Revision 1.18  2009/08/03 12:08:32  patrys
- refetch source

Revision 1.17  2009/08/03 12:07:52  patrys
- bump deps

Revision 1.16  2009/08/03 12:07:22  patrys
- 20090802
- API 0.0.15

Revision 1.15  2009/07/20 12:48:27  patrys
- current snap

Revision 1.14  2009/05/17 12:01:37  patrys
- 20090517

Revision 1.13  2009/04/05 14:54:50  arekm
- renamed + subpackage

Revision 1.12  2009/04/05 14:43:44  patrys
- new snap

Revision 1.11  2009/04/02 06:52:23  arekm
S: kernel-video-drm

Revision 1.10  2009/03/31 11:50:03  patrys
- BR: xorg-proto-dri2proto-devel

Revision 1.9  2009/03/31 09:17:31  arekm
BR: xorg-proto-glproto-devel

Revision 1.8  2009/03/31 08:33:37  arekm
- it wasn't initial commit; fixed

Revision 1.7  2009/03/31 08:17:51  arekm
- initial

Revision 1.6  2008/12/27 09:35:07  qboosh
- R: xorg libdri,libglx

Revision 1.5  2007/10/06 14:40:26  arekm
- up

Revision 1.4  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.3  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.2  2007/05/10 17:33:24  qboosh
- hardware info from man page
- no ldconfig needed

Revision 1.1  2007/05/03 08:11:18  arekm
- new
